| BSL430.NET 1.3.4

Public Member Functions | Properties | List of all members
BSL430_NET.StatusEx Class Reference

StatusEx is Status extended with Report List, returned as a result of main public methods. More...

Inheritance diagram for BSL430_NET.StatusEx:

## Public Member Functions
override string | ToString ()
| Formatted StatusEx chain, that is built from Msg and InnerStatus Msg properties, with Extra and optional Core/Uart Status, and with BSL detail info like BytesProcessed and BSLVersion. More...
Public Member Functions inherited from BSL430_NET.Status
string | FormattedString (Status Stat, bool TopLevel=false)
| Formatted status from single object. More...
override string | ToString ()
| Formatted Status chain, that is built from Msg and InnerStatus Msg properties, with Extra and optional Core/Uart Status. More...

## Properties
int | BytesToProcess = -1`[get, set]`
| Number of bytes that need to be processed (uploaded/downloaded to/from target MCU). More...
byte[] | BSLVersion = null`[get, set]`
| Null, 4-byte or 10-byte array, meaning differs, please see TI BSL doc (slau319t.pdf). More...
string | BSLVersionString = null`[get, set]`
| String representation of BSLVersion. Meaning differs, please see TI BSL doc (slau319t.pdf). More...
List< Report > | Reports = null`[get, set]`
| Report List. More...
Properties inherited from BSL430_NET.Status
int | Error = 0`[get, set]`
| Numeric representation of status, any value other then 0 indicates an error. More...
bool | OK = false`[get, set]`
| Boolean representation of status, true means OK, false means ERROR. More...
string | Msg = "unknown"`[get, set]`
| String representation of status. More...
string | Extra = ""`[get, set]`
| Additional info, that can be used for detailed problem analysis. More...
BslCoreMessage | CoreStatus = BslCoreMessage.NotAvailable`[get, set]`
| BslCoreMessage status. More...
BslUartMessage | UartStatus = BslUartMessage.NotAvailable`[get, set]`
| BslUartMessage status. More...
Status | InnerStatus = null`[get, set]`
| Inner Status like inner exception can contain the previous Status, usually with error. More...

## Detailed Description

StatusEx is Status extended with Report List, returned as a result of main public methods.

## Member Function Documentation

## ◆ ToString()

override string BSL430_NET.StatusEx.ToString | ( |  | ) |

Formatted StatusEx chain, that is built from Msg and InnerStatus Msg properties, with Extra and optional Core/Uart Status, and with BSL detail info like BytesProcessed and BSLVersion.

## Property Documentation

## ◆ BSLVersion

byte [] BSL430_NET.StatusEx.BSLVersion = null
| get set

Null, 4-byte or 10-byte array, meaning differs, please see TI BSL doc (slau319t.pdf).

## ◆ BSLVersionString

string BSL430_NET.StatusEx.BSLVersionString = null
| get set

String representation of BSLVersion. Meaning differs, please see TI BSL doc (slau319t.pdf).

## ◆ BytesToProcess

int BSL430_NET.StatusEx.BytesToProcess = -1
| get set

Number of bytes that need to be processed (uploaded/downloaded to/from target MCU).

## ◆ Reports

List<Report> BSL430_NET.StatusEx.Reports = null
| get set

Report List.

The documentation for this class was generated from the following file:

- D:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/BSL430NET.cs